Home Forums Weaver Xtreme Theme Weaver II (including Pro) Limited Updater for WP 6.3

Viewing 1 post (of 1 total)
  • Author
    Posts
  • #73256
    Weaver
    Keymaster

    First, if you are reading this and have an old Weaver II theme site, you have probably discovered that it now won’t load and will crash the latest versions WordPress. The fact is, we are no longer able to support Weaver II and Weaver II Pro. This is mainly because it is not compatible with PHP 7 or 8, and WordPress is now requiring PHP 7.

    We do appreciate that you’ve been using Weaver II for so long. The end has arrived.

    BUT, we have created a limited updater version of the Weaver II theme that will work on PHP 7 or 8 plus WP 6, and will let you at least update most of your Weaver II site’s design and settings to Weaver Xtreme setting using our Weaver II to Weaver Xtreme converter plugin.

    What to do:

    *** Download Weaver II Limited Updater:

    Open

    Weaver Current Versions

    then find the Weaver II Legacy Support -> Weaver II Limited Updater Theme section, and download the special limited updater. ThisĀ  version will display your site correctly without errors, but does not completely support the admin options (thus the limited name).

    This version will allow your existing Weaver II site to load without causing a crash. You will first need to disable the old Weaver II theme, and then upload and activate the Weaver II Limited Updater version.

    Open the admin, go to the admin options, and save your theme settings to a file on your computer. That file will be used for the next step using the converter plugin. (Note: this limited version may or may not convert all of your Weaver II Pro settings, but it should still do most of the conversion. It was difficult to get any version of Weaver II to work without crashing, and Weaver II Pro crashed in many more places.)

    *** Download the Weaver II to Weaver Xtreme converter plugin.

    Download Weaver II to Weaver converter

    While this plugin has not been updated recently, it will still work. How to use it is described here:

    Converting a Weaver II (Pro) or Aspen site to Weaver Xtreme

    In the end, you should end up with a Weaver Xtreme based site that will mostly match your old Weaver II site. Using the Weaver II shortcodes will not likely be supported directly, although Weaver Xtreme has equivalent versions of most of the shortcodes.

    And finally, you might want to view this as an opportunity to update the design of your now very old website with some of the more modern options provided by Weaver Xtreme. You should also check out whatever other plugins you might be using with your site, as many older plugins have not been updated and may crash WP as well.

     

     

     

     

Viewing 1 post (of 1 total)
  • You must be logged in to reply to this topic.